﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="WebDataGrid.DropDown.SQLDataSource.Default" %>

<%@ Register Assembly="Infragistics45.Web.v20.1, Version=20.1.20201.22, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI" TagPrefix="ig" %>

<%@ Register Assembly="Infragistics45.Web.v20.1, Version=20.1.20201.22, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb" Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <div style="margin: 20px">
            <ig:WebScriptManager ID="wsm" runat="server"></ig:WebScriptManager>
            <ig:WebDataGrid ID="wdg" runat="server" Height="500px" Width="50%" AutoGenerateColumns="False" DataSourceID="wdgDataSource" DataKeyFields="CategoryID">
                <Columns>
                    <ig:BoundDataField DataFieldName="CategoryID" Key="CategoryID" Hidden="true">
                        <Header Text="CategoryID">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="CategoryName" Key="CategoryName">
                        <Header Text="CategoryName">
                        </Header>
                    </ig:BoundDataField>
                    <ig:BoundDataField DataFieldName="Description" Key="Description">
                        <Header Text="Description">
                        </Header>
                    </ig:BoundDataField>
                </Columns>
                <EditorProviders>
                    <ig:DropDownProvider ID="wdgDropDownProvider">
                        <EditorControl ClientIDMode="Predictable" DropDownContainerMaxHeight="200px" EnableAnimations="False" EnableDropDownAsChild="False" DataSourceID="dropdownDataSource" TextField="CategoryName">
                        </EditorControl>
                    </ig:DropDownProvider>
                </EditorProviders>
                <Behaviors>
                    <ig:EditingCore>
                        <Behaviors>
                            <ig:CellEditing>
                                <ColumnSettings>
                                    <ig:EditingColumnSetting ColumnKey="CategoryName" EditorID="wdgDropDownProvider" />
                                </ColumnSettings>
                            </ig:CellEditing>
                        </Behaviors>
                    </ig:EditingCore>
                </Behaviors>
            </ig:WebDataGrid>
            <asp:SqlDataSource ID="wdgDataSource" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"         
                DeleteCommand="DELETE FROM [Categories] WHERE [CategoryID] = @CategoryID" 
                InsertCommand="INSERT INTO [Categories] ([CategoryName], [Description]) VALUES (@CategoryName, @Description)" 
                SelectCommand="SELECT [CategoryID], [CategoryName], [Description] FROM [Categories]" 
                UpdateCommand="UPDATE [Categories] SET [CategoryName] = @CategoryName, [Description] = @Description WHERE [CategoryID] = @CategoryID">
                <DeleteParameters>
                    <asp:Parameter Name="CategoryID" Type="Int32" />
                </DeleteParameters>
                <InsertParameters>
                    <asp:Parameter Name="CategoryName" Type="String" />
                    <asp:Parameter Name="Description" Type="String" />
                </InsertParameters>
                <UpdateParameters>
                    <asp:Parameter Name="CategoryName" Type="String" />
                    <asp:Parameter Name="Description" Type="String" />
                    <asp:Parameter Name="CategoryID" Type="Int32" />
                </UpdateParameters>
            </asp:SqlDataSource>

            <asp:SqlDataSource ID="dropdownDataSource" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
                SelectCommand="SELECT [CategoryName] FROM [Categories]"></asp:SqlDataSource>
        </div>
    </form>
</body>
</html>